## Released under the GNU General Public License, see www.gnu.org
## Copyright 2002 by the Free Software Foundation
## Written by Michael Graffam mikegraffam@yahoo.com
##
## Convert a matrix to a Scheme expression
## Created: Sept 2002

function tmp=mat2scm(M)
	tmp=sprintf("(block* (tformat (table ");
	[r,c]=size(M);
	for i=1:r
		tmp=sprintf("%s(row ", tmp);
		for j=1:c
			tmp1=num2scm(M(i,j));
			tmp=sprintf("%s(cell %s) ", tmp, tmp1);
		endfor
		tmp=sprintf("%s) ",tmp);
	endfor
	tmp=sprintf("%s)))",tmp);
endfunction
