## Released under the GNU General Public License, see www.gnu.org
## Copyright 2002 by the Free Software Foundation
## Written by Michael Graffam mikegraffam@yahoo.com
##
## Convert a number to a Scheme string
## Created: Sept 2002

function tmp=num2scm(n)
	if (isreal(n))
		tmp=sprintf("(with \"mode\" \"math\" \"%g\")",n);
	else
		if (real(n) != 0)
			tmp=sprintf("(with \"mode\" \"math\" \"%g+%g<cdot><b-i>\")", real(n), imag(n));
		else
			tmp=sprintf("(with \"mode\" \"math\" \"%g<cdot><b-i>\")", imag(n));
		endif

	endif
endfunction
